// Simple DOPC Example
// This example is based on Matrikon Simulation OPC Server
// You can download the server for free at: http://www.matrikon.com
// But it's a trivial matter to change to another OPC Server.
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, dOPC;

type
  TForm1 = class(TForm)
    dOPCServer1: TdOPCServer;
    Memo1: TMemo;
    Panel1: TPanel;
    bStart: TButton;
    procedure dOPCServer1Datachange(Sender: TObject; ItemList: TdOPCItemList);
    procedure bStartClick(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.bStartClick(Sender: TObject);
var
  G    : TdOPCGroup;
begin
  dOPCServer1.Servername := 'Matrikon.OPC.Simulation';  // select your OPC Server
  G := dOPCServer1.OPCGroups.Add('testgroup');          // make a new group
  G.OPCItems.AddItem('Random.String');                  // add new Item to group
  dOPCServer1.Active := true;                           // let's go
end;

// dOPCServer Event
procedure TForm1.dOPCServer1Datachange(Sender: TObject;ItemList: TdOPCItemList);
var
  i : integer;
begin
  for i := 0 to Itemlist.Count-1 do          // for all changed Items
     Memo1.Lines.Add(Itemlist[i].ValueStr);  // show Value as String
end;

end.
